
//
//
//
#define MAX_CONFSZ	255
#define SAT_MAXREAD	65535

//
// Default values.
//
#define SATLINK_DEV	"/dev/satlink"
#define CONFIG_FILE	"/usr/local/satlink/etc/satcomd.conf"

#define ERROR_LOG	"/var/log/satlink/errors"
#define TRANS_LOG	"/var/log/satlink/transfer"

//
// Configuration file.
//
typedef struct ConfigRec {
	struct ConfigRec	*next;
	unsigned short		rulebase;
	int			active;
	char			*desc;
	char			*directory;
	char			*badprog;
	char			*goodprog;
} ConfigRec;

//
// This structure will hold the decoded file information
// from the downlink file header.
//
typedef struct FileHeader {
	char			fname[13];
	unsigned long		fsize;
	unsigned short		ms_time;
	unsigned short		ms_date;
	unsigned long		crc;
	unsigned short		descnum;
	unsigned short		decode;
	unsigned short		rbase;
	unsigned short		drop;
	unsigned short		misc;
	unsigned short		company;
	unsigned char		group;
	unsigned short		user;
	char			type;
	unsigned short		version;

	char			pathname[120];
	struct ConfigRec	*current;
	unsigned long		filecrc;
	int			outfd;
} FileHeader;

//
// Define offset into the _56_ byte header for the
// above elements.
//
#define HDR_FNAME(a)	(a)
#define HDR_FSIZE(a)	(a+13)
#define HDR_TIME(a)	(a+17)
#define HDR_DATE(a)	(a+19)
#define HDR_SUM(a)	(a+21)
#define HDR_CRC(a)	(a+23)
#define HDR_DESCTAB(a)	(a+27)
#define HDR_DECODE(a)	(a+29)
#define HDR_RULEBASE(a)	(a+31)
#define HDR_DROP(a)	(a+33)
#define HDR_MISC(a)	(a+35)
#define HDR_YAGI(a)	(a+37)
#define HDR_COMPANY(a)	(a+42)
#define HDR_GROUP(a)	(a+44)
#define HDR_USER(a)	(a+45)
#define HDR_TYPE(a)	(a+47)
#define HDR_VERSION(a)	(a+48)
#define HDR_FILLER(a)	(a+50)

//
//
//
extern	unsigned long	UpdCrc32();

